unbound: Data Fields

unbound 0.1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - t -

- table : doq_server_socket, rrset_cache, slab_test_thr, test_thr
- tag : xml_data
- tag_actions : acl_addr
- tag_actions_size : acl_addr
- tag_datas : acl_addr
- tag_datas_size : acl_addr
- taglen : acl_addr, local_zone, resp_addr
- taglist : acl_addr, local_zone, resp_addr
- tagname : config_file
- target_count : iter_qstate
- target_fetch_policy : config_file, fast_reload_construct, iter_env
- target_list : delegpt
- task_nextprobe : auth_xfer
- task_probe : auth_xfer
- task_transfer : auth_xfer
- tcl : daemon, fast_reload_construct
- tcl_addr : comm_point
- tcp_accept_usage : ub_server_stats
- tcp_auth_query_timeout : config_file, outside_network
- tcp_byte_count : comm_point
- tcp_check_nb_connect : comm_point
- tcp_conn_limit : comm_point
- tcp_connection_limits : config_file
- tcp_conns : outside_network
- tcp_do_close : comm_point
- tcp_do_toggle_rw : comm_point
- tcp_free : comm_point, outside_network
- tcp_handlers : comm_point
- tcp_idle_timeout : config_file
- tcp_is_reading : comm_point
- tcp_keepalive : comm_point
- tcp_keepalive_timeout : config_file
- tcp_more_read_again : comm_point
- tcp_more_write_again : comm_point
- tcp_mss : config_file, outside_network
- tcp_parent : comm_point
- tcp_pkt_counter : fake_pending
- tcp_req_info : comm_point
- tcp_reuse : outside_network
- tcp_reuse_first : outside_network
- tcp_reuse_max : outside_network
- tcp_reuse_timeout : config_file, outside_network
- tcp_seen_keepalive : replay_runtime
- tcp_timeout_msec : comm_point
- tcp_upstream : config_file, config_stub, delegpt, serviced_query
- tcp_wait_first : outside_network
- tcp_wait_last : outside_network
- tcp_write_and_read : comm_point
- tcp_write_byte_count : comm_point
- tcp_write_pkt : comm_point
- tcp_write_pkt_len : comm_point
- thr : order_id
- thr_id : worker
- thr_next_num : ub_ctx
- thread_num : alloc_cache, ext_thr_info, libworker, worker
- thread_volley : shm_main_info
- thread_worker : ub_ctx
- threadnum : dt_io_thread, fast_reload_thread
- tid : dt_io_thread, ext_thr_info, fast_reload_thread
- time_boot : daemon
- time_last_stat : daemon
- time_step : replay_moment
- timeout : auth_probe, comm_point, fake_pending, pending, perfio, tcp_proxy, waiting_tcp
- timeout_A : infra_data
- timeout_AAAA : infra_data
- timeout_count : iter_qstate
- timeout_other : infra_data
- timer : auth_nextprobe, auth_probe, auth_transfer, doq_server_socket, pending, serviced_query, waiting_tcp
- timer_done : stop_flush_info
- timer_list : replay_runtime
- timestamp : rate_data
- title : replay_scenario
- tls_additional_port : config_file
- tls_auth_name : delegpt_addr, delegpt_ns, reuse_tcp, serviced_query, waiting_tcp
- tls_cert_bundle : config_file
- tls_ciphers : config_file
- tls_ciphersuites : config_file
- tls_protocols : config_file
- tls_server_name : dt_io_thread
- tls_session_ticket_keys : config_file
- tls_use_sni : config_file, dt_io_thread, outside_network
- tls_win_cert : config_file
- to_be_deleted : serviced_query
- to_print : fast_reload_printq
- total_in_progress : shm_main_info
- total_large : regional
- total_recv : perfinfo
- total_sent : perfinfo
- track_max_scope : subnet_qstate
- transport : fake_pending
- tree : acl_list, iter_donotq, iter_forwards, iter_hints, tcl_list, val_anchors, val_neg_cache, val_neg_zone
- tree4 : subnet_msg_cache_data
- tree6 : subnet_msg_cache_data
- tree_by_id : reuse_tcp
- trust : packed_rrset_data
- trust_anchor_file_list : config_file
- trust_anchor_labs : val_qstate
- trust_anchor_len : val_qstate
- trust_anchor_list : config_file
- trust_anchor_name : val_qstate
- trust_anchor_signaling : config_file
- trusted_keys_file_list : config_file
- ttl : addrnode, infra_data, key_entry_data, packed_rrset_data, reply_info, ub_result
- ttl_add : packed_rrset_data
- ttl_data : rr_parse
- ttl_servfail : subnet_msg_cache_data
- tv : fake_timer
- type : auth_rrset, comm_point, local_zone, local_zone_override, packed_rrset_key, rrset_parse, ta_key
- type_http_out : fake_commpoint
- type_tcp_out : fake_commpoint
- type_udp_out : fake_commpoint
- typecode : fake_commpoint